Bug 68178 - /etc/init.d/halt fails to umount certain tmpfs filesystems
/etc/init.d/halt fails to umount certain tmpfs filesystems
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: initscripts (Show other bugs)
7.3
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-07-07 10:59 EDT by Timo Kokkonen
Modified: 2014-03-16 22:28 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-07-07 10:59:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Timo Kokkonen 2002-07-07 10:59:48 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.0 (X11; Linux i686; U;) Gecko/20020408

Description of problem:
If tmpfs filesystems are mounted somewhere else than directly
under root (/) filesystem, then /etc/init.d/halt script fails to properly umount
the underlying filesystem when system goes to halt/reboot.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. add "none   /var/temp  tmpfs defaults 0 0" to fstab
2. (mkdir /var/temp; mount /var/temp)
3. reboot or halt system
	

Actual Results:  umount: /dev/sda2: notmounted
umount: /var: Illegal seek
...
[repeated several times]

Expected Results:  [no errors from umount as normal]

Additional info:

Suggested fix:

*** /etc/init.d/halt.dist	Sun Jul  7 17:57:21 2002
--- /etc/init.d/halt	Sun Jul  7 17:57:47 2002
***************
*** 28,33 ****
--- 28,34 ----
  halt_get_remaining() {
  	awk '!/(^#|proc|loopfs|autofs|devfs|^none|^\/dev\/root| \/ )/ {print $2}'
/proc/mounts
  	awk '{ if ($3 ~ /^proc$/ && $2 !~ /^\/proc/) print $2; }' /proc/mounts
+ 	awk '{ if ($3 ~ /^tmpfs$/ && $2 !~ /^\/dev/) print $2; }' /proc/mounts
  }
  
  # See how we were called.
Comment 1 Bill Nottingham 2002-08-13 22:02:46 EDT
Thanks, will be in 6.89-1

Note You need to log in before you can comment on or make changes to this bug.